﻿
&После("ПриКомпоновкеРезультата")
Процедура исперп_ПриКомпоновкеРезультата(ДокументРезультат, ДанныеРасшифровки, СтандартнаяОбработка)
	
	Если исперп_Правка.Включена(исперп_Идентификатор.ОтчетДинамикаИзмененияЦенНоменклатуры2_5()) Тогда
		ЗначениеПустое	= "ЗНАЧЕНИЕ(Справочник.УпаковкиЕдиницыИзмерения.ПустаяСсылка)";
		
		ТекстЗапроса	= СхемаКомпоновкиДанных.НаборыДанных.Запрос.Запрос;
		ТекстЗапроса	= СтрЗаменить(ТекстЗапроса
		, "И Т.УпаковкаЦО = ИзмененияЦен.УпаковкаЦО"
		, "И ЕСТЬNULL(Т.УпаковкаЦО, " + ЗначениеПустое + ") = ЕСТЬNULL(ИзмененияЦен.УпаковкаЦО, " + ЗначениеПустое + ")");
		СхемаКомпоновкиДанных.НаборыДанных[0].Запрос = ТекстЗапроса;
	КонецЕсли;
	
КонецПроцедуры
